package com.iden.bms.service;


import cn.hutool.core.collection.CollUtil;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;

import com.iden.common.entity.IdenDistrict;

import com.iden.common.service.IdenDistrictService;

import com.iden.common.vo.DistrictVO;
import com.iden.common.vo.UserLoginedConvertVO;
import org.springframework.beans.BeanUtils;
import org.springframework.stereotype.Service;


import javax.annotation.Resource;
import java.util.ArrayList;
import java.util.List;

/**
 *
 * @author makejava
 * @since 2021-05-21 00:08:38
 */
@Service
public class DistrictService {

    @Resource
    private IdenDistrictService idenDistrictService;


    /**
     * 查询区域列表
     * @return
     */
    public List<DistrictVO> listDistrict4Select(UserLoginedConvertVO loginUser) {

        QueryWrapper<IdenDistrict> queryWrapper = new QueryWrapper<>();
        queryWrapper.lambda().orderByAsc(IdenDistrict::getName);

        List<IdenDistrict> list = this.idenDistrictService.list(queryWrapper);
        List<DistrictVO> results = new ArrayList<>();
        if(CollUtil.isNotEmpty(list)) {
            list.forEach(item -> {
                DistrictVO resVO = new DistrictVO();
                BeanUtils.copyProperties(item,resVO);
                results.add(resVO);
            });
        }
        return results;
    }



}