package com.iden.bms.service;


import cn.hutool.core.collection.CollUtil;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.iden.common.entity.IdenSubdistrict;
import com.iden.common.service.IdenSubdistrictService;
import com.iden.common.vo.SubdistrictVO;
import com.iden.common.vo.UserLoginedConvertVO;
import org.springframework.beans.BeanUtils;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.ArrayList;
import java.util.List;

/**
 *
 * @author makejava
 * @since 2021-05-21 00:08:38
 */
@Service
public class SubdistrictService {

    @Resource
    private IdenSubdistrictService idenSubdistrictService;


    /**
     * 查询街道列表
     * @return
     */
    public List<SubdistrictVO> listSubdistrict4Select(UserLoginedConvertVO loginUser) {

        QueryWrapper<IdenSubdistrict> queryWrapper = new QueryWrapper<>();
        queryWrapper.lambda().orderByAsc(IdenSubdistrict::getName);

        List<IdenSubdistrict> list = this.idenSubdistrictService.list(queryWrapper);
        List<SubdistrictVO> results = new ArrayList<>();
        if(CollUtil.isNotEmpty(list)) {
            list.forEach(item -> {
                SubdistrictVO resVO = new SubdistrictVO();
                BeanUtils.copyProperties(item,resVO);
                results.add(resVO);
            });
        }
        return results;
    }



}