package com.iden.common.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

@ApiModel(value="字典项表")
@Data
public class SysDictItemVO {
    @ApiModelProperty(value="id", name="id")
    private Long id;

    @ApiModelProperty(value="字典ID", name="dictId")
    private Long dictId;

    @ApiModelProperty(value="字典编码", name="dictCode")
    private String dictCode;

    @ApiModelProperty(value="名称", name="name")
    private String name;

    @ApiModelProperty(value="值", name="value")
    private String value;

    @ApiModelProperty(value="排序", name="sort")
    private Integer sort;

    @ApiModelProperty(value="创建时间", name="createTime")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date createTime;

    @ApiModelProperty(value="更新时间", name="updateTime")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date updateTime;


}